'''combines a directory of text files together'''
import os
import glob
import random
from argparse import ArgumentParser

p = ArgumentParser()
p.add_argument("--directory", "-i", default="good",
               help="directory of text files to combine")
p.add_argument("--output", "-o", default="dataset.txt",
               help="output filename")
p.add_argument("--delimiter", "-d", default="<|endoftext|>",
               help="text delimiter")
p.add_argument("--seed", "-s", default=4423,
               help="random seed")
args = p.parse_args()

files = glob.glob(os.path.join(args.directory, "*.txt"))
random.seed(args.seed)
random.shuffle(files)
f = open(args.output, "w")
for filename in files:
    f.write(open(filename).read().strip() + "\n" + args.delimiter + "\n")
